Subject: Re: bug#54368: [PATCH 0/4] Add Btrfs RAID10 install tests.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 18 Mar 2022 09:28:36 -0400

Hi Mathieu,

Mathieu Othacehe <[email-masked]> writes:

> Hello Maxim,
>
> This looks great! I created a dedicated jobset here:
> https://ci.guix.gnu.org/jobset/wip-btrfs-raid-tests to check everything
> is still running fine.
>
>> +OS to install TARGET-OS.  Return the VM disk images of TARGET-SIZE bytes
>> +containing the installed system.  Unless providing OS, the PACKAGES will be
>> +added to the packages defined in INSTALLATION-OS (from (gnu system install)).
>> +NUMBER-OF-DISKS can be used to specify a number of disks different than one,
>> +such as for RAID systems."
>
> I'm having troubles understanding the "Unless providing OS" part of the
> sentence, but that's also because this mechanism of adding packages to
> the default OS definition is tricky.
>
> Maybe we should augment the OS definition with those packages
> unconditionally in the body of the "run-install" procedure.

Yes, it's a bit weird that we accept an argument whose only purpose is
to affect the default value of another argument!  I'll try implementing
your idea; I also think it's better.

Thank you!

Maxim